summaryrefslogtreecommitdiffstats
path: root/debian/scripts/postinst-dkms
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:20:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:20:55 +0000
commit751abe5af6e60af060ea7979512574d903a49eb0 (patch)
tree991d21305c4f60a4b0c13964436f8b8e08fee34b /debian/scripts/postinst-dkms
parentAdding upstream version 3.0.10. (diff)
downloaddkms-751abe5af6e60af060ea7979512574d903a49eb0.tar.xz
dkms-751abe5af6e60af060ea7979512574d903a49eb0.zip
Adding debian version 3.0.10-8+deb12u1.debian/3.0.10-8+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/scripts/postinst-dkms')
-rw-r--r--debian/scripts/postinst-dkms27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/scripts/postinst-dkms b/debian/scripts/postinst-dkms
new file mode 100644
index 0000000..0084a6e
--- /dev/null
+++ b/debian/scripts/postinst-dkms
@@ -0,0 +1,27 @@
+# The original file can be found in template-dkms-mkdeb/debian/postinst
+# in the DKMS tarball, check it for copyright notices.
+
+DKMS_NAME=#MODULE_NAME#
+DKMS_PACKAGE_NAME=$DKMS_NAME-dkms
+DKMS_VERSION=#MODULE_VERSION#
+
+postinst_found=0
+
+case "$1" in
+ configure)
+ for DKMS_POSTINST in /usr/lib/dkms/common.postinst /usr/share/$DKMS_PACKAGE_NAME/postinst; do
+ if [ -f $DKMS_POSTINST ]; then
+ $DKMS_POSTINST $DKMS_NAME $DKMS_VERSION /usr/share/$DKMS_PACKAGE_NAME "" $2
+ postinst_found=1
+ break
+ fi
+ done
+ if [ "$postinst_found" -eq 0 ]; then
+ echo "ERROR: DKMS version is too old and $DKMS_PACKAGE_NAME was not"
+ echo "built with legacy DKMS support."
+ echo "You must either rebuild $DKMS_PACKAGE_NAME with legacy postinst"
+ echo "support or upgrade DKMS to a more current version."
+ exit 1
+ fi
+ ;;
+esac